<?php
namespace Controleur;
use Model\QuoteModel;
use Model\CommentaryModel;
use Gateway\Connection;
use Gateway\QuoteGateway;
use Gateway\CommentaryGateway;

Class VisitorControler{

    private QuoteModel $qMod;
    private CommentaryModel $cMod;
    
    public function __construct(){
        global $co;
        $this->qMod = new QuoteModel(new QuoteGateway($co));
        $this->cMod = new CommentaryModel(new CommentaryGateway($co));
    }

    public function accueil(){
        global $vues;
        require_once $vues['accueil'];
    }

    public function quote(array $arg){
        global $vues;
        $id=$arg['idQuote'];
        $q = $this->qMod->searchId($id);
        $c = $this->cMod->getComment($id);
        require_once $vues['quote'];
    }

    public function login(){
        
        global $vues;
        require_once $vues['login'];
    }

    public function signin(){
        
        global $vues;
        require_once $vues['signin'];
    }

    
}
